POST api/pctypeapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PCTypeViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| description | string |
Required |
|
| id | globally unique identifier |
None. |
|
| type | string |
Required String length: inclusive between 0 and 100 |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"description": "sample string 2",
"id": "754d0192-4391-4754-b43e-2fdecad43b99",
"type": "sample string 4"
}
application/xml, text/xml
Sample:
<pc_type xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <description>sample string 2</description> <id>754d0192-4391-4754-b43e-2fdecad43b99</id> <type>sample string 4</type> </pc_type>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"4ee2653f-c0d5-4aeb-bfd1-6096e08bb6fa"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">4ee2653f-c0d5-4aeb-bfd1-6096e08bb6fa</guid>